Creates new comments for given task. Each comment requires a text, a task_status and a person as arguments. Can include preview files and attachments.
POST
/actions/tasks/{task_id}/batch-comment
curl
curl -X POST "http://api.example.com/actions/tasks/a24a6ea4-ce75-4665-a070-57453082c25/batch-comment" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json"
import requests
url = "http://api.example.com/actions/tasks/a24a6ea4-ce75-4665-a070-57453082c25/batch-comment"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
params = {}
payload = None
response = requests.post(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
curl \
--request POST 'http://api.example.com/actions/tasks/a24a6ea4-ce75-4665-a070-57453082c25/batch-comment' \
--header "Authorization: $API_KEY" \
--header "Content-Type: multipart/form-data" \
--form "comments=[{"text": "Good work", "task_status_id": "uuid"}]"
Response examples (201)
[
{}
]